using System.Collections;
using System.Collections.Generic;
using HeathenEngineering;
using UnityEngine;
#if ENABLE_INPUT_SYSTEM
using UnityEngine.InputSystem;
#endif

public class ControlSettings : MonoBehaviour
{
    [SerializeField] private BoolVariable invertSetting;

    [SerializeField] private IntVariable xSensativity;


    private void Update()
    {
        UpdateInvert();
    }

    private void UpdateInvert()
    {
        if(Gamepad.current == null) {
            return;
        }
        if(Gamepad.current.rightStick.y.invert == invertSetting.Value) {
            return;
        }
        Gamepad.current.rightStick.y.invert = invertSetting.Value;
    }
}
